Compilation noyau 2.6.26

Le
olivier
Bonjour,

J'ai récupéré les sources du noyau 2.6.26 à l'aide d'apt, et à la fin de
la procédure de compilation du noyau j'obtiens ce message d'erreur :

dpkg-deb: le répertoire de contrôle n'a pas les bonnes permissions 2755
(doit être >55 et <75)

J'ai fait un chmod -R 0755 /usr/src, mais rien à faire j'ai toujours
cette erreur !

Que dois-je faire ?

Merci pour vos réponses !

ps : j'ai une debian lenny, la version actuelle de mon noyau est la 2.6.24

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to debian-user-french-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses Page 1 / 2
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
olivier
Le #18570841
R Azed a écrit :
olivier wrote:

Bonjour,

J'ai récupéré les sources du noyau 2.6.26 à l'aide d'apt, et à la fin de
la procédure de compilation du noyau j'obtiens ce message d'erreur :

dpkg-deb: le répertoire de contrôle n'a pas les bonnes permissions 2755
(doit être >55 et <75)

J'ai fait un chmod -R 0755 /usr/src, mais rien à faire j'ai toujours
cette erreur !

Que dois-je faire ?

Merci pour vos réponses !

ps : j'ai une debian lenny, la version actuelle de mon noyau est la 2.6.24





Quand tu as décompressé les sources, tu a bien refais ton lien symbolique ?

cd /usr/src/ && ln -s /usr/src/linux-source-2.6.26/ linux

Ensuite pour la compile tu vas dans /usr/src/linux

ps: Je viens de tester sur un spare et cela fonctionne sans soucis. Ce qui est
certains c'est que tu as réellement un problème de droits dans ton arbo
/usr/src/ Au pire des cas supprime tout et recommance.




Je n'ai pas créer le lien symbolique en fait ! Je pensais que créer un
lien symbolique servait juste à nous simplifier la vie !

Je vais essayer de suite !

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Thierry Chatelet
Le #18570831
On Tuesday 03 February 2009 15:47:26 olivier wrote:
Bonjour,

J'ai récupéré les sources du noyau 2.6.26 à l'aide d'apt, et à la fin de
la procédure de compilation du noyau j'obtiens ce message d'erreur :

dpkg-deb: le répertoire de contrôle n'a pas les bonnes permissions 27 55
(doit être >55 et <75)

J'ai fait un chmod -R 0755 /usr/src, mais rien à faire j'ai toujours
cette erreur !

Que dois-je faire ?

Merci pour vos réponses !

ps : j'ai une debian lenny, la version actuelle de mon noyau est la 2.6.24



Pourquoi pas installer un noyau standard? Lenny 'à jour) a un noyau 2.6.26

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
R Azed
Le #18570821
olivier wrote:
Bonjour,

J'ai récupéré les sources du noyau 2.6.26 à l'aide d'apt, et à la fin de
la procédure de compilation du noyau j'obtiens ce message d'erreur :

dpkg-deb: le répertoire de contrôle n'a pas les bonnes permissions 2755
(doit être >55 et <75)

J'ai fait un chmod -R 0755 /usr/src, mais rien à faire j'ai toujours
cette erreur !

Que dois-je faire ?

Merci pour vos réponses !

ps : j'ai une debian lenny, la version actuelle de mon noyau est la 2.6 .24




Quand tu as décompressé les sources, tu a bien refais ton lien symbol ique ?

cd /usr/src/ && ln -s /usr/src/linux-source-2.6.26/ linux

Ensuite pour la compile tu vas dans /usr/src/linux

ps: Je viens de tester sur un spare et cela fonctionne sans soucis. Ce qu i est
certains c'est que tu as réellement un problème de droits dans ton ar bo
/usr/src/ Au pire des cas supprime tout et recommance.

--
Razed
Mel.

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
R Azed
Le #18570811
Thierry Chatelet wrote:
On Tuesday 03 February 2009 15:47:26 olivier wrote:
> Bonjour,
>
> J'ai récupéré les sources du noyau 2.6.26 à l'aide d'apt, et à la fin de
> la procédure de compilation du noyau j'obtiens ce message d'erreur :
>
> dpkg-deb: le répertoire de contrôle n'a pas les bonnes permission s 2755
> (doit être >55 et <75)
>
> J'ai fait un chmod -R 0755 /usr/src, mais rien à faire j'ai toujour s
> cette erreur !
>
> Que dois-je faire ?
>
> Merci pour vos réponses !
>
> ps : j'ai une debian lenny, la version actuelle de mon noyau est la 2 .6.24

Pourquoi pas installer un noyau standard? Lenny 'à jour) a un noyau 2 .6.26



D'ailleur il devrait le proposer tout seul lors de l'apt-get update/upgra de ?
Chez moi il est bien en 2.6.26.

ibox:~# dpkg -l |grep linux-image
ii linux-image-2.6.26-1-686 2.6.26-13
Linux 2.6.26 image on PPro/Celeron/PII/PIII/
ii linux-image-686 2.6.26+17
Linux image on PPro/Celeron/PII/PIII/P4

--
Razed
Mel.

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
olivier
Le #18571001
R Azed a écrit :
Thierry Chatelet wrote:

On Tuesday 03 February 2009 15:47:26 olivier wrote:

Bonjour,

J'ai récupéré les sources du noyau 2.6.26 à l'aide d'apt, et à la fin de
la procédure de compilation du noyau j'obtiens ce message d'erreur :

dpkg-deb: le répertoire de contrôle n'a pas les bonnes permissions 2755
(doit être >55 et <75)

J'ai fait un chmod -R 0755 /usr/src, mais rien à faire j'ai toujours
cette erreur !

Que dois-je faire ?

Merci pour vos réponses !

ps : j'ai une debian lenny, la version actuelle de mon noyau est la 2.6.24



Pourquoi pas installer un noyau standard? Lenny 'à jour) a un noyau 2.6.26




D'ailleur il devrait le proposer tout seul lors de l'apt-get update/upgrade ?
Chez moi il est bien en 2.6.26.

ibox:~# dpkg -l |grep linux-image
ii linux-image-2.6.26-1-686 2.6.26-13
Linux 2.6.26 image on PPro/Celeron/PII/PIII/
ii linux-image-686 2.6.26+17
Linux image on PPro/Celeron/PII/PIII/P4




moi j'obtiens après avoir fait apt-get update && upgrade

dpkg -l |grep linux-image
ii linux-image-2.6-486 2.6.24+13
Linux 2.6 image on x86
ii linux-image-2.6.24-1-486 2.6.24-7
Linux 2.6.24 image on x86

voici mon fichier source.list :

deb http://ftp.fr.debian.org/debian/ lenny main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ lenny main contrib non-free

# Mise a jour de securite
deb http://security.debian.org/ lenny/updates main contrib non-free
deb-src http://security.debian.org/ lenny/updates main contrib non-free


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Thierry Chatelet
Le #18570991
On Tuesday 03 February 2009 15:47:26 olivier wrote:
Bonjour,

J'ai récupéré les sources du noyau 2.6.26 à l'aide d'apt, et à la fin de
la procédure de compilation du noyau j'obtiens ce message d'erreur :

dpkg-deb: le répertoire de contrôle n'a pas les bonnes permissions 27 55
(doit être >55 et <75)

J'ai fait un chmod -R 0755 /usr/src, mais rien à faire j'ai toujours
cette erreur !

Que dois-je faire ?

Merci pour vos réponses !

ps : j'ai une debian lenny, la version actuelle de mon noyau est la 2.6.24



Il faut toujours répondre à la liste, pas en perso. Bon, regarde la r éponse de
R Azed

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
R Azed
Le #18571121
olivier wrote:
R Azed a écrit :
Thierry Chatelet wrote:

On Tuesday 03 February 2009 15:47:26 olivier wrote:

Bonjour,

J'ai récupéré les sources du noyau 2.6.26 à l'aide d'apt, et à la fin de
la procédure de compilation du noyau j'obtiens ce message d'erreur :

dpkg-deb: le répertoire de contrôle n'a pas les bonnes permissio ns 2755
(doit être >55 et <75)

J'ai fait un chmod -R 0755 /usr/src, mais rien à faire j'ai toujou rs
cette erreur !

Que dois-je faire ?

Merci pour vos réponses !

ps : j'ai une debian lenny, la version actuelle de mon noyau est la 2.6.24



Pourquoi pas installer un noyau standard? Lenny 'à jour) a un noyau 2.6.26




D'ailleur il devrait le proposer tout seul lors de l'apt-get update/up grade ?
Chez moi il est bien en 2.6.26.

ibox:~# dpkg -l |grep linux-image
ii linux-image-2.6.26-1-686 2.6.26-13
Linux 2.6.26 image on PPro/Celeron/PII/PIII/
ii linux-image-686 2.6.26+17
Linux image on PPro/Celeron/PII/PIII/P4




moi j'obtiens après avoir fait apt-get update && upgrade

dpkg -l |grep linux-image
ii linux-image-2.6-486 2.6.24+13
Linux 2.6 image on x86
ii linux-image-2.6.24-1-486 2.6.24-7
Linux 2.6.24 image on x86

voici mon fichier source.list :

deb http://ftp.fr.debian.org/debian/ lenny main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ lenny main contrib non-free

# Mise a jour de securite
deb http://security.debian.org/ lenny/updates main contrib non-free
deb-src http://security.debian.org/ lenny/updates main contrib non-free




Ton install lenny, c'est une install directe ou bien tu a fais un distupg rade
depuis une sarge ? Si c'est un distupgrade il faut effectivement installe r
volontairement le kernel 2.6.26 avec apt-get. Fait un apt-cache search
linux-image pour choisir le kernel 2.6.26 dont tu as besoin, il y a plusi eurs
paquets virtuel (Bigmeme etc)

--
Razed
Mel.

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
olivier
Le #18571101
R Azed a écrit :
olivier wrote:

R Azed a écrit :

Thierry Chatelet wrote:


On Tuesday 03 February 2009 15:47:26 olivier wrote:


Bonjour,

J'ai récupéré les sources du noyau 2.6.26 à l'aide d'apt, et à la fin de
la procédure de compilation du noyau j'obtiens ce message d'erreur :

dpkg-deb: le répertoire de contrôle n'a pas les bonnes permissions 2755
(doit être >55 et <75)

J'ai fait un chmod -R 0755 /usr/src, mais rien à faire j'ai toujours
cette erreur !

Que dois-je faire ?

Merci pour vos réponses !

ps : j'ai une debian lenny, la version actuelle de mon noyau est la 2.6.24




Pourquoi pas installer un noyau standard? Lenny 'à jour) a un noyau 2.6.26




D'ailleur il devrait le proposer tout seul lors de l'apt-get update/upgrade ?
Chez moi il est bien en 2.6.26.

ibox:~# dpkg -l |grep linux-image
ii linux-image-2.6.26-1-686 2.6.26-13
Linux 2.6.26 image on PPro/Celeron/PII/PIII/
ii linux-image-686 2.6.26+17
Linux image on PPro/Celeron/PII/PIII/P4





moi j'obtiens après avoir fait apt-get update && upgrade

dpkg -l |grep linux-image
ii linux-image-2.6-486 2.6.24+13
Linux 2.6 image on x86
ii linux-image-2.6.24-1-486 2.6.24-7
Linux 2.6.24 image on x86

voici mon fichier source.list :

deb http://ftp.fr.debian.org/debian/ lenny main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ lenny main contrib non-free

# Mise a jour de securite
deb http://security.debian.org/ lenny/updates main contrib non-free
deb-src http://security.debian.org/ lenny/updates main contrib non-free





Ton install lenny, c'est une install directe ou bien tu a fais un distupgrade
depuis une sarge ? Si c'est un distupgrade il faut effectivement installer
volontairement le kernel 2.6.26 avec apt-get. Fait un apt-cache search
linux-image pour choisir le kernel 2.6.26 dont tu as besoin, il y a plusieurs
paquets virtuel (Bigmeme etc)




C'est une install directe, je n'ai jamais fait de distupgrade !
J'ai suivi les conseils de R Azed mais j'ai toujours le message d'erreur!
J'ai fait un make-kpkg clean et là je recommence la compilation.

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
R Azed
Le #18571091
R Azed wrote:
olivier wrote:
> R Azed a écrit :
>> Thierry Chatelet wrote:
>>
>>> On Tuesday 03 February 2009 15:47:26 olivier wrote:
>>>
>>>> Bonjour,
>>>>
>>>> J'ai récupéré les sources du noyau 2.6.26 à l'aide d'apt, et à la fin de
>>>> la procédure de compilation du noyau j'obtiens ce message d'erre ur :
>>>>
>>>> dpkg-deb: le répertoire de contrôle n'a pas les bonnes permiss ions 2755
>>>> (doit être >55 et <75)
>>>>
>>>> J'ai fait un chmod -R 0755 /usr/src, mais rien à faire j'ai touj ours
>>>> cette erreur !
>>>>
>>>> Que dois-je faire ?
>>>>
>>>> Merci pour vos réponses !
>>>>
>>>> ps : j'ai une debian lenny, la version actuelle de mon noyau est l a 2.6.24
>>>>
>>> Pourquoi pas installer un noyau standard? Lenny 'à jour) a un noy au 2.6.26
>>>
>>
>> D'ailleur il devrait le proposer tout seul lors de l'apt-get update/ upgrade ?
>> Chez moi il est bien en 2.6.26.
>>
>> ibox:~# dpkg -l |grep linux-image
>> ii linux-image-2.6.26-1-686 2.6.26-13
>> Linux 2.6.26 image on PPro/Celeron/PII/PIII/
>> ii linux-image-686 2.6.26+17
>> Linux image on PPro/Celeron/PII/PIII/P4
>>
>>
> moi j'obtiens après avoir fait apt-get update && upgrade
>
> dpkg -l |grep linux-image
> ii linux-image-2.6-486 2.6.24+13
> Linux 2.6 image on x86
> ii linux-image-2.6.24-1-486 2.6.24-7
> Linux 2.6.24 image on x86
>
> voici mon fichier source.list :
>
> deb http://ftp.fr.debian.org/debian/ lenny main contrib non-free
> deb-src http://ftp.fr.debian.org/debian/ lenny main contrib non-free
>
> # Mise a jour de securite
> deb http://security.debian.org/ lenny/updates main contrib non-free
> deb-src http://security.debian.org/ lenny/updates main contrib non-fr ee
>

Ton install lenny, c'est une install directe ou bien tu a fais un distu pgrade
depuis une sarge ? Si c'est un distupgrade il faut effectivement instal ler
volontairement le kernel 2.6.26 avec apt-get. Fait un apt-cache search
linux-image pour choisir le kernel 2.6.26 dont tu as besoin, il y a plu sieurs
paquets virtuel (Bigmeme etc)

--
Razed
Mel.



Et mes excuses pour les fautes dans tous les sens, je commence à fatigu er (Et la
semaine est pas fini :p )

--
Razed
Mel.

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Thierry Chatelet
Le #18571071
On Tuesday 03 February 2009 16:28:10 olivier wrote:
R Azed a écrit :
> olivier wrote:
>> R Azed a écrit :
>>> Thierry Chatelet wrote:
>>>> On Tuesday 03 February 2009 15:47:26 olivier wrote:
>>>>> Bonjour,
C'est une install directe, je n'ai jamais fait de distupgrade !
J'ai suivi les conseils de R Azed mais j'ai toujours le message d'erreur!
J'ai fait un make-kpkg clean et là je recommence la compilation.




Ok, tu fais:
aptitude update

puis:
aptitude safe-upgrade

puis tu nous donne le résultat de la manip.

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Publicité
Poster une réponse
Anonyme